<?php
/* Busqueda de registros de la tabla SEG_UsuarioSesion redefinidos por el usuario. */
class SEG_UsuarioSesionFN extends BaseSEG_UsuarioSesionFN
{
    public static function buscarPorIP( $s_IdRol )
    {
        //$_SERVER['SERVER_ADDR'] -> La dirección IP del servidor donde se está ejecutando actualmente el script.
        //$_SERVER['REMOTE_ADDR'] -> La dirección IP desde la cual está viendo la página actual el usuario.
        if( $_SERVER['SERVER_NAME'] == "localhost" )
        {
            $_SERVER['REMOTE_ADDR'] = "localhost";
        }

        $s_IP = $_SERVER['REMOTE_ADDR'];

        $o_SEG_UsuarioSesionFN = new SEG_UsuarioSesionFN();
        $o_SEG_UsuarioSesionFN->setIP( $s_IP );
        $o_SEG_UsuarioSesionFN->setIdRol( $s_IdRol );
        $a_SEG_UsuarioSesion = $o_SEG_UsuarioSesionFN->select();
        if( $a_SEG_UsuarioSesion )
        {
            return $a_SEG_UsuarioSesion[0];
        }
        return null;
    }
}
?>